Search Payers
Search for payers by name, ID, or alias.
/payers/searchThis endpoint queries the Payer Network. It's especially useful when you want to embed dynamic payer search capabilities into your system or application.
- Call this endpoint with your desired search criteria. You can search by the payer's name, payer ID, or payer ID aliases. You can also filter the results by supported transaction types.
- The endpoint returns information about matching payers, including their possible names, their primary payer ID, payer ID aliases, and supported transaction types.
The search supports fuzzy matching, which means that the results contain an array of exact (if available) and close matches.
Payer records can change. If you store payer details in your own system, refresh them at least once a day.
Results
When you specify multiple transaction filters, they are combined with AND logic, meaning payers must satisfy all specified transaction criteria to be included in results.
Stedi weights results based on text match relevance and additional factors, such as payer size, market share, and transaction volume in order to present the most likely matches first. Stedi also accounts for potential misspellings (a search for CEGNA still returns CIGNA) and transposed letters (a search for ICGNA still returns CIGNA) when searching the payer database.
Examples
This page contains two examples of search results:
- Search for query string: This example response shows the results of a basic search for the query string "Blue Cross". The URL for this request is
https://healthcare.us.stedi.com/2024-04-01/payers/search?query=Blue%20Cross. - Search with multiple filters: This example response shows the results of a more advanced search that includes a query string for "Blue Cross", plus additional query parameters that filter for payers supporting eligibility checks and real-time claim status. The URL for this request is
https://healthcare.us.stedi.com/2024-04-01/payers/search?query=Blue%20Cross&eligibilityCheck=SUPPORTED&claimStatus=SUPPORTED. This advanced search only returns payers that support both eligibility checks and claim status, while the basic search returns all payers, regardless of the transaction types they support.
Both examples are truncated for brevity to show only one payer matching the results.
A Stedi API Key for authentication.
Query Parameters
The maximum number of elements to return in a page. If not specified, the default is 20.
An opaque token returned by a previous call to this endpoint in the nextPageToken property. You can use it to request the next page of results. If not specified, Stedi returns the first page of results.
The query Stedi will use to search the Payer Network database. You can supply a payer's name, ID, or alias. The query is case-insensitive, and fuzzy matching is supported. For example, cig, 62308, and SX071 all return Cigna in the results. If not provided, the other search options are used to conduct the search.
Transaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDEITHERTransaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDEITHERTransaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDEITHERTransaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDEITHERTransaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDEITHERTransaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDEITHERTransaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDEITHERTransaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDEITHERTransaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDEITHERTransaction support filter values. When multiple transaction filters are specified, they are combined with AND logic (payers must satisfy all criteria).
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDEITHERFilter for matching payers that support transactions for all of the specified coverage types. For example, setting this array to ["medical", "dental"] returns only payers who provide both medical and dental coverage.
The results also exclude payers without coverage type classifications in Stedi's database.
medicaldentalvisionFilter for matching payers that operate in all of the specified states, territories, or NATIONAL. For example, setting this array to ["CA", "OR"] returns only payers that operate in both California and Oregon. Setting it to ["NATIONAL"] returns payers that operate in all 50 U.S. states. To find payers that also operate in territories, you must include those territory codes explicitly, for example ["NATIONAL", "PR"].
The results also exclude payers without operating state classifications in Stedi's database.
ALAKAZARCAFilter for matching payers that participate in any of the specified insurance programs. For example, setting this array to ["MEDICARE", "TRICARE"] returns payers that participate in either Medicare or TRICARE.
The results also exclude payers without program classifications in Stedi's database.
AUTOMOBILE_MEDICALCOMMERCIALDISABILITYLIABILITY_MEDICALMEDICAIDResponse
Matching payers sorted by relevance, with the most relevant matches listed first.
Array item
Shows which properties in the payer record match the search query. This information helps you understand why Stedi returned this payer and which parts of the payer record matched the search terms. It's also especially useful for debugging search queries and building user interfaces that display matching text.
- Matching text is wrapped in
<b>HTML tags for highlighting. - This object only contains properties with matching text. For example, if none of the payer's aliases matched the search query, this object will not include the
aliasesproperty.
Show attributes
The parts of the payer's aliases that match the search query. Each alias that contains matching text is included as a separate entry, with matching portions wrapped in <b> tags. For example, searching for XYZ might return: [<b>XYZ</b>123, ABC<b>XYZ</b>].
The part of the payer's display name that matched the search query. For example, searching for Blue might return: Blue Cross <b>Blue</b> Shield.
The parts of the payer's other names that match the search query. Each name that contains matching text is included as a separate entry, with matching portions wrapped in <b> tags. For example, searching for Health might return: [Community <b>Health</b> Plan, <b>Health</b> Partners].
The part of the primary payer ID that matched the search query. For example, if you search for '12345', the results for a payer with primary payer ID 12345ABC would return: <b>12345</b>ABC.
The part of the payer's Stedi payer ID that matched the search query. Stedi payer IDs only support exact substring matching (no prefix or fuzzy matching). For example, if you search for KRP, the results for a payer with Stedi payer ID 'KRPCH' would be: <b>KRP</b>CH.
A payer record matching the search query.
Show attributes
Alternative IDs associated with a payer. If a payer changes their primaryPayerId, aliases allow you to continue sending transactions to the payer using the old ID uninterrupted.
A URL pointing to an image file (.png, .jpeg, or .jpg) with the payer's logo. This is the same logo Stedi displays in the Payer Network. You can use this property to display payer logos in your system or application.
This property is only returned when a payer logo is available.
A shorter version of the payer's display name for use in dense UI views. This property is only returned when a concise name is available for the payer.
A list of insurance coverage types that indicates whether this payer supports transactions for medical coverage, dental coverage, vision coverage, or a combination of these. For example: ["medical"] or ["medical", "dental", "vision"].
When this array isn't in the response, it means Stedi hasn't classified the payer's coverage types yet, not that the payer doesn't support any coverage types.
medicaldentalvisionThe payer's business name, such as Cigna or Aetna. This is the name most commonly used to identify the payer.
Employer Identification Numbers (EINs) associated with this payer.
Details about the transaction enrollment process for this payer, if available. This object may not be returned for some payers.
Show attributes
Whether a PTAN (Provider Transaction Access Number) is required for transaction enrollment.
The Provider Transaction Access Number (PTAN) is a Medicare-issued number given to providers upon enrollment with Medicare. This number is usually six digits and is assigned based on the type of service and the location of the provider. Upon enrollment, Medicare Administrating Contracting (MAC) providers should receive their assigned PTAN number in their approval letter.
Enrollment details for specific transaction types.
Stedi only returns this object when information about the enrollment process is available for one or more transaction types. When this object isn't included in the response, it doesn't mean no transaction types require enrollment. Refer to the transactionSupport object for details about which transaction types require enrollment.
Show attributes
Details about the enrollment process for Electronic Remittance Advice (ERAs) with this payer.
Show attributes
Whether this payer supports specifying a requested effective date for transaction enrollments.
- If set to
SUPPORTED, Stedi will process transaction enrollment requests for this payer according to their specifiedrequestedEffectiveDate. - This property is only returned when Stedi can determine whether the payer supports requested effective dates.
SUPPORTEDNOT_SUPPORTEDAggregation types this payer supports for 835 Electronic Remittance Advice (ERA) transactions. Payers can aggregate by the provider's NPI, tax ID (TIN), or both.
- You can use this information to specify an
aggregationPreferencewhen submitting ERA enrollment requests. - This property is only returned when Stedi can determine the payer's supported aggregation types.
NPITINStedi's expected timeframe for completing the transaction enrollment process. INSTANT indicates that the enrollment will be in LIVE status within minutes of submitting the request.
INSTANTHOURSDAYSWEEKSOVER_4_WEEKSWhether transaction enrollment is single or multi-step.
ONE_CLICKindicates that once you submit the transaction enrollment request, Stedi can complete the rest of the enrollment process without any further action from you.MULTI_STEPindicates that you must complete additional steps to finish the enrollment process. Customer support will reach out with clear instructions explaining how to complete any remaining steps.
ONE_CLICKMULTI_STEPDetails about the enrollment process for Electronic Remittance Advice (ERA) with Electronic Funds Transfer (EFT) with this payer.
Show attributes
Whether this payer supports specifying a requested effective date for transaction enrollments.
- If set to
SUPPORTED, Stedi will process transaction enrollment requests for this payer according to their specifiedrequestedEffectiveDate. - This property is only returned when Stedi can determine whether the payer supports requested effective dates.
SUPPORTEDNOT_SUPPORTEDStedi's expected timeframe for completing the transaction enrollment process. INSTANT indicates that the enrollment will be in LIVE status within minutes of submitting the request.
INSTANTHOURSDAYSWEEKSOVER_4_WEEKSWhether transaction enrollment is single or multi-step.
ONE_CLICKindicates that once you submit the transaction enrollment request, Stedi can complete the rest of the enrollment process without any further action from you.MULTI_STEPindicates that you must complete additional steps to finish the enrollment process. Customer support will reach out with clear instructions explaining how to complete any remaining steps.
ONE_CLICKMULTI_STEPDetails about the enrollment process for real-time claim status requests with this payer.
Show attributes
Whether this payer supports specifying a requested effective date for transaction enrollments.
- If set to
SUPPORTED, Stedi will process transaction enrollment requests for this payer according to their specifiedrequestedEffectiveDate. - This property is only returned when Stedi can determine whether the payer supports requested effective dates.
SUPPORTEDNOT_SUPPORTEDStedi's expected timeframe for completing the transaction enrollment process. INSTANT indicates that the enrollment will be in LIVE status within minutes of submitting the request.
INSTANTHOURSDAYSWEEKSOVER_4_WEEKSWhether transaction enrollment is single or multi-step.
ONE_CLICKindicates that once you submit the transaction enrollment request, Stedi can complete the rest of the enrollment process without any further action from you.MULTI_STEPindicates that you must complete additional steps to finish the enrollment process. Customer support will reach out with clear instructions explaining how to complete any remaining steps.
ONE_CLICKMULTI_STEPDetails about the enrollment process for coordination of benefits (COB) checks with this payer.
Show attributes
Whether this payer supports specifying a requested effective date for transaction enrollments.
- If set to
SUPPORTED, Stedi will process transaction enrollment requests for this payer according to their specifiedrequestedEffectiveDate. - This property is only returned when Stedi can determine whether the payer supports requested effective dates.
SUPPORTEDNOT_SUPPORTEDStedi's expected timeframe for completing the transaction enrollment process. INSTANT indicates that the enrollment will be in LIVE status within minutes of submitting the request.
INSTANTHOURSDAYSWEEKSOVER_4_WEEKSWhether transaction enrollment is single or multi-step.
ONE_CLICKindicates that once you submit the transaction enrollment request, Stedi can complete the rest of the enrollment process without any further action from you.MULTI_STEPindicates that you must complete additional steps to finish the enrollment process. Customer support will reach out with clear instructions explaining how to complete any remaining steps.
ONE_CLICKMULTI_STEPDetails about the enrollment process for dental claim submission with this payer.
Show attributes
Whether this payer supports specifying a requested effective date for transaction enrollments.
- If set to
SUPPORTED, Stedi will process transaction enrollment requests for this payer according to their specifiedrequestedEffectiveDate. - This property is only returned when Stedi can determine whether the payer supports requested effective dates.
SUPPORTEDNOT_SUPPORTEDStedi's expected timeframe for completing the transaction enrollment process. INSTANT indicates that the enrollment will be in LIVE status within minutes of submitting the request.
INSTANTHOURSDAYSWEEKSOVER_4_WEEKSWhether transaction enrollment is single or multi-step.
ONE_CLICKindicates that once you submit the transaction enrollment request, Stedi can complete the rest of the enrollment process without any further action from you.MULTI_STEPindicates that you must complete additional steps to finish the enrollment process. Customer support will reach out with clear instructions explaining how to complete any remaining steps.
ONE_CLICKMULTI_STEPDetails about the enrollment process for Electronic Funds Transfer (EFT) with this payer.
Show attributes
Whether this payer supports specifying a requested effective date for transaction enrollments.
- If set to
SUPPORTED, Stedi will process transaction enrollment requests for this payer according to their specifiedrequestedEffectiveDate. - This property is only returned when Stedi can determine whether the payer supports requested effective dates.
SUPPORTEDNOT_SUPPORTEDStedi's expected timeframe for completing the transaction enrollment process. INSTANT indicates that the enrollment will be in LIVE status within minutes of submitting the request.
INSTANTHOURSDAYSWEEKSOVER_4_WEEKSWhether transaction enrollment is single or multi-step.
ONE_CLICKindicates that once you submit the transaction enrollment request, Stedi can complete the rest of the enrollment process without any further action from you.MULTI_STEPindicates that you must complete additional steps to finish the enrollment process. Customer support will reach out with clear instructions explaining how to complete any remaining steps.
ONE_CLICKMULTI_STEPDetails about the enrollment process for eligibility checks with this payer.
Show attributes
Whether this payer supports specifying a requested effective date for transaction enrollments.
- If set to
SUPPORTED, Stedi will process transaction enrollment requests for this payer according to their specifiedrequestedEffectiveDate. - This property is only returned when Stedi can determine whether the payer supports requested effective dates.
SUPPORTEDNOT_SUPPORTEDStedi's expected timeframe for completing the transaction enrollment process. INSTANT indicates that the enrollment will be in LIVE status within minutes of submitting the request.
INSTANTHOURSDAYSWEEKSOVER_4_WEEKSWhether transaction enrollment is single or multi-step.
ONE_CLICKindicates that once you submit the transaction enrollment request, Stedi can complete the rest of the enrollment process without any further action from you.MULTI_STEPindicates that you must complete additional steps to finish the enrollment process. Customer support will reach out with clear instructions explaining how to complete any remaining steps.
ONE_CLICKMULTI_STEPDetails about the enrollment process for institutional claim submission with this payer.
Show attributes
Whether this payer supports specifying a requested effective date for transaction enrollments.
- If set to
SUPPORTED, Stedi will process transaction enrollment requests for this payer according to their specifiedrequestedEffectiveDate. - This property is only returned when Stedi can determine whether the payer supports requested effective dates.
SUPPORTEDNOT_SUPPORTEDStedi's expected timeframe for completing the transaction enrollment process. INSTANT indicates that the enrollment will be in LIVE status within minutes of submitting the request.
INSTANTHOURSDAYSWEEKSOVER_4_WEEKSWhether transaction enrollment is single or multi-step.
ONE_CLICKindicates that once you submit the transaction enrollment request, Stedi can complete the rest of the enrollment process without any further action from you.MULTI_STEPindicates that you must complete additional steps to finish the enrollment process. Customer support will reach out with clear instructions explaining how to complete any remaining steps.
ONE_CLICKMULTI_STEPDetails about the enrollment process for professional claim submission with this payer.
Show attributes
Whether this payer supports specifying a requested effective date for transaction enrollments.
- If set to
SUPPORTED, Stedi will process transaction enrollment requests for this payer according to their specifiedrequestedEffectiveDate. - This property is only returned when Stedi can determine whether the payer supports requested effective dates.
SUPPORTEDNOT_SUPPORTEDStedi's expected timeframe for completing the transaction enrollment process. INSTANT indicates that the enrollment will be in LIVE status within minutes of submitting the request.
INSTANTHOURSDAYSWEEKSOVER_4_WEEKSWhether transaction enrollment is single or multi-step.
ONE_CLICKindicates that once you submit the transaction enrollment request, Stedi can complete the rest of the enrollment process without any further action from you.MULTI_STEPindicates that you must complete additional steps to finish the enrollment process. Customer support will reach out with clear instructions explaining how to complete any remaining steps.
ONE_CLICKMULTI_STEPDetails about the enrollment process for unsolicited claim attachments with this payer.
Show attributes
Whether this payer supports specifying a requested effective date for transaction enrollments.
- If set to
SUPPORTED, Stedi will process transaction enrollment requests for this payer according to their specifiedrequestedEffectiveDate. - This property is only returned when Stedi can determine whether the payer supports requested effective dates.
SUPPORTEDNOT_SUPPORTEDStedi's expected timeframe for completing the transaction enrollment process. INSTANT indicates that the enrollment will be in LIVE status within minutes of submitting the request.
INSTANTHOURSDAYSWEEKSOVER_4_WEEKSWhether transaction enrollment is single or multi-step.
ONE_CLICKindicates that once you submit the transaction enrollment request, Stedi can complete the rest of the enrollment process without any further action from you.MULTI_STEPindicates that you must complete additional steps to finish the enrollment process. Customer support will reach out with clear instructions explaining how to complete any remaining steps.
ONE_CLICKMULTI_STEPAlternative names associated with a payer. These additional names help you search for and identify payers using the name most familiar to your organization.
A list of US state codes, territories, or NATIONAL that indicates the geographic regions where this payer operates. For example: ["CA", "OR"] for a regional payer, or ["NATIONAL"] for a payer that operates in all 50 U.S. states. Supported territories are listed separately.
When this array isn't in the response, it means Stedi hasn't classified the payer's operating states yet.
ALAKAZARCAThe identifier for the corporate or brand group to which the payer belongs. The parent payer group is organizational metadata only – it doesn't affect routing, enrollment, or transaction support. Payers sharing a parent payer group may have different enrollment processes or other behaviors. This property is only returned when the payer has a parent payer group.
The name of the corporate or brand group to which the payer belongs. The parent payer group is organizational metadata only – it doesn't affect routing, enrollment, or transaction support. Payers sharing a parent payer group may have different enrollment processes or other behaviors. This property is only returned when the payer has a parent payer group.
The most commonly used ID for a payer. This value often corresponds to the name the payer uses internally and provides to patients on member ID cards.
A list of insurance programs that this payer participates in. For example: ["MEDICAID", "MEDICARE"]. If Stedi hasn't assigned any programs to this payer, this array is empty.
AUTOMOBILE_MEDICALCOMMERCIALDISABILITYLIABILITY_MEDICALMEDICAIDA unique ID that Stedi assigned to this payer and uses internally for routing requests. This ID will not change even if the primaryPayerId is updated.
Whether the following transaction types are supported: 270 eligibility checks, 276/277 claim status requests, 837 claims (professional, dental, institutional), 835 ERAs (claim payments), 275 unsolicited claim attachments, coordination of benefits checks, Electronic Funds Transfer (EFT), and 835 ERA with Electronic Funds Transfer (EFT).
If the value is ENROLLMENT_REQUIRED, Stedi supports the transaction type, but you must enroll with the payer first.
Show attributes
Whether you can receive 835 Electronic Remittance Advice (ERA) transactions from this payer.
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDWhether you can receive 835 Electronic Remittance Advice (ERA) transactions with Electronic Funds Transfer (EFT) from this payer.
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDWhether you can send 276 claim status requests to this payer.
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDCoordination of Benefits (COB) support.
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDWhether you can send 837D dental claims to this payer.
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDWhether you can receive Electronic Funds Transfer (EFT) transactions from this payer.
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDWhether you can send 270 eligibility checks to this payer.
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDWhether you can send 837I institutional claims to this payer.
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDWhether you can send 837P professional claims to this payer.
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDWhether you can send unsolicited claim attachments to this payer.
SUPPORTEDNOT_SUPPORTEDENROLLMENT_REQUIREDA relevance score indicating how well this payer matched the search query. Higher scores are better matches. The minimum score is 0.
Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.
Statistics about the search results, including the total number of payers matching the search query and the number of payers supported per transaction type.
Show attributes
Total number of payers matching the search query.
Number of matching payers supported per transaction type.
The categories for each transaction type are mutually exclusive. For example, to calculate the total number of payers that support eligibility checks, regardless of whether enrollment is required, you must add the supported and enrollmentRequired counts together.
DEPRECATED
This shape is deprecated since 2025-06-24: Use the transactionSupportCounts property instead.
Show attributes
Number of matching payers that support 835 Electronic Remittance Advices (ERAs).
Show attributes
Number of matching payers that require transaction enrollment for this transaction type.
Number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type.
Number of matching payers that support 835 Electronic Remittance Advice (ERA) with Electronic Funds Transfer (EFT).
Show attributes
Number of matching payers that require transaction enrollment for this transaction type.
Number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type.
Number of matching payers that support 276/277 real-time claim status.
Show attributes
Number of matching payers that require transaction enrollment for this transaction type.
Number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type.
Number of matching payers that support 270/271 coordination of benefits (COB) checks.
Show attributes
Number of matching payers that require transaction enrollment for this transaction type.
Number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type.
Number of matching payers that support 837D dental claims.
Show attributes
Number of matching payers that require transaction enrollment for this transaction type.
Number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type.
Number of matching payers that support Electronic Funds Transfer (EFT).
Show attributes
Number of matching payers that require transaction enrollment for this transaction type.
Number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type.
Number of matching payers that support 270/271 eligibility checks.
Show attributes
Number of matching payers that require transaction enrollment for this transaction type.
Number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type.
Number of matching payers that support 837I institutional claims.
Show attributes
Number of matching payers that require transaction enrollment for this transaction type.
Number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type.
Number of matching payers that support 837P professional claims.
Show attributes
Number of matching payers that require transaction enrollment for this transaction type.
Number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type.
Number of matching payers that support 275 unsolicited claim attachments.
Show attributes
Number of matching payers that require transaction enrollment for this transaction type.
Number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type.
Number of matching payers for each supported transaction type.
To get the total number of payers that support each transaction type, with additional detail on whether enrollment is required, use supported.total instead.
Show attributes
Number of matching payers that support 835 Electronic Remittance Advices (ERAs).
Show attributes
Number of matching payers that don't support this transaction type.
Show attributes
Total number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type, broken down by enrollment requirements.
Show attributes
Number of matching payers that support this transaction type and don't require transaction enrollment.
Number of matching payers that support this transaction type and require transaction enrollment.
Total number of matching payers that support this transaction type (enrollmentRequired + enrollmentNotRequired).
Number of matching payers that support 835 Electronic Remittance Advice (ERA) with Electronic Funds Transfer (EFT).
Show attributes
Number of matching payers that don't support this transaction type.
Show attributes
Total number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type, broken down by enrollment requirements.
Show attributes
Number of matching payers that support this transaction type and don't require transaction enrollment.
Number of matching payers that support this transaction type and require transaction enrollment.
Total number of matching payers that support this transaction type (enrollmentRequired + enrollmentNotRequired).
Number of matching payers that support 276/277 real-time claim status.
Show attributes
Number of matching payers that don't support this transaction type.
Show attributes
Total number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type, broken down by enrollment requirements.
Show attributes
Number of matching payers that support this transaction type and don't require transaction enrollment.
Number of matching payers that support this transaction type and require transaction enrollment.
Total number of matching payers that support this transaction type (enrollmentRequired + enrollmentNotRequired).
Number of matching payers that support 270/271 coordination of benefits (COB) checks.
Show attributes
Number of matching payers that don't support this transaction type.
Show attributes
Total number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type, broken down by enrollment requirements.
Show attributes
Number of matching payers that support this transaction type and don't require transaction enrollment.
Number of matching payers that support this transaction type and require transaction enrollment.
Total number of matching payers that support this transaction type (enrollmentRequired + enrollmentNotRequired).
Number of matching payers that support 837D dental claims.
Show attributes
Number of matching payers that don't support this transaction type.
Show attributes
Total number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type, broken down by enrollment requirements.
Show attributes
Number of matching payers that support this transaction type and don't require transaction enrollment.
Number of matching payers that support this transaction type and require transaction enrollment.
Total number of matching payers that support this transaction type (enrollmentRequired + enrollmentNotRequired).
Number of matching payers that support Electronic Funds Transfer (EFT).
Show attributes
Number of matching payers that don't support this transaction type.
Show attributes
Total number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type, broken down by enrollment requirements.
Show attributes
Number of matching payers that support this transaction type and don't require transaction enrollment.
Number of matching payers that support this transaction type and require transaction enrollment.
Total number of matching payers that support this transaction type (enrollmentRequired + enrollmentNotRequired).
Number of matching payers that support 270/271 eligibility checks.
Show attributes
Number of matching payers that don't support this transaction type.
Show attributes
Total number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type, broken down by enrollment requirements.
Show attributes
Number of matching payers that support this transaction type and don't require transaction enrollment.
Number of matching payers that support this transaction type and require transaction enrollment.
Total number of matching payers that support this transaction type (enrollmentRequired + enrollmentNotRequired).
Number of matching payers that support 837I institutional claims.
Show attributes
Number of matching payers that don't support this transaction type.
Show attributes
Total number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type, broken down by enrollment requirements.
Show attributes
Number of matching payers that support this transaction type and don't require transaction enrollment.
Number of matching payers that support this transaction type and require transaction enrollment.
Total number of matching payers that support this transaction type (enrollmentRequired + enrollmentNotRequired).
Number of matching payers that support 837P professional claims.
Show attributes
Number of matching payers that don't support this transaction type.
Show attributes
Total number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type, broken down by enrollment requirements.
Show attributes
Number of matching payers that support this transaction type and don't require transaction enrollment.
Number of matching payers that support this transaction type and require transaction enrollment.
Total number of matching payers that support this transaction type (enrollmentRequired + enrollmentNotRequired).
Number of matching payers that support 275 unsolicited claim attachments.
Show attributes
Number of matching payers that don't support this transaction type.
Show attributes
Total number of matching payers that don't support this transaction type.
Number of matching payers that support this transaction type, broken down by enrollment requirements.
Show attributes
Number of matching payers that support this transaction type and don't require transaction enrollment.
Number of matching payers that support this transaction type and require transaction enrollment.
Total number of matching payers that support this transaction type (enrollmentRequired + enrollmentNotRequired).
curl --request GET \ --url "https://payers.us.stedi.com/2024-04-01/payers/search?query=Blue+Cross" \ --header "Authorization: <api_key>"{
"items": [
{
"matches": {
"names": [
"Highmark <b>Blue</b> <b>Cross</b> <b>Blue</b> <b>Shield</b>",
"Highmark <b>Blue</b> <b>Cross</b> <b>Blue</b> <b>Shield</b> Pennsylvania",
"Highmark <b>Blue</b> <b>Cross</b> <b>Blue</b> <b>Shield</b> Pennsylvania Professional",
"Highmark <b>Blue</b> <b>Shield</b>",
"Keystone Health Plan West - Community <b>Blue</b> HMO"
]
},
"payer": {
"aliases": [
"10046",
"100900",
"10264",
"10524",
"2413",
"54771",
"95462",
"PABCBS",
"PABLS",
"SB865",
"SB865MA",
"SZXAY"
],
"avatarUrl": "https://prod-payer-avatars.payers.us.stedi.com/GUFCO/avatar.png?v=1763077235241",
"conciseName": "Highmark PA",
"coverageTypes": [
"dental",
"medical",
"vision"
],
"displayName": "Highmark of Pennsylvania",
"enrollment": {
"ptanRequired": false,
"transactionEnrollmentProcesses": {
"claimPayment": {
"requestedEffectiveDate": "NOT_SUPPORTED",
"supportedAggregationPreferences": [
"NPI",
"TIN"
],
"timeframe": "DAYS",
"type": "ONE_CLICK"
},
"claimStatusInquiry": {
"timeframe": "DAYS",
"type": "ONE_CLICK"
}
}
},
"names": [
"Highmark Blue Cross Blue Shield",
"Highmark Blue Cross Blue Shield Pennsylvania",
"Highmark Blue Cross Blue Shield Pennsylvania Professional",
"Highmark Blue Shield",
"Keystone Health Plan West - Community Blue HMO",
"First Priority Life Insurance Company (FPLIC) Out-of-Area Claims",
"Highmark of Pennsylvania - Medicare Advantage"
],
"operatingStates": [
"PA"
],
"parentPayerGroupId": "QOSPQ",
"parentPayerGroupName": "Highmark",
"primaryPayerId": "54771",
"programs": [
"MEDICARE_ADVANTAGE"
],
"stediId": "GUFCO",
"transactionSupport": {
"claimPayment": "ENROLLMENT_REQUIRED",
"claimPaymentAdviceWithElectronicFundsTransfer": "NOT_SUPPORTED",
"claimStatus": "ENROLLMENT_REQUIRED",
"coordinationOfBenefits": "SUPPORTED",
"dentalClaimSubmission": "NOT_SUPPORTED",
"electronicFundsTransfer": "ENROLLMENT_REQUIRED",
"eligibilityCheck": "ENROLLMENT_REQUIRED",
"institutionalClaimSubmission": "NOT_SUPPORTED",
"professionalClaimSubmission": "SUPPORTED",
"unsolicitedClaimAttachment": "NOT_SUPPORTED"
}
},
"score": 2314894167593451500
}
],
"stats": {
"total": 142,
"transactionSupport": {
"claimPayment": {
"enrollmentRequired": 113,
"notSupported": 29,
"supported": 0
},
"claimPaymentAdviceWithElectronicFundsTransfer": {
"enrollmentRequired": 0,
"notSupported": 142,
"supported": 0
},
"claimStatus": {
"enrollmentRequired": 3,
"notSupported": 55,
"supported": 84
},
"coordinationOfBenefits": {
"enrollmentRequired": 0,
"notSupported": 114,
"supported": 28
},
"dentalClaimSubmission": {
"enrollmentRequired": 2,
"notSupported": 95,
"supported": 45
},
"electronicFundsTransfer": {
"enrollmentRequired": 113,
"notSupported": 29,
"supported": 0
},
"eligibilityCheck": {
"enrollmentRequired": 5,
"notSupported": 33,
"supported": 104
},
"institutionalClaimSubmission": {
"enrollmentRequired": 10,
"notSupported": 30,
"supported": 102
},
"professionalClaimSubmission": {
"enrollmentRequired": 9,
"notSupported": 16,
"supported": 117
},
"unsolicitedClaimAttachment": {
"enrollmentRequired": 0,
"notSupported": 109,
"supported": 33
}
},
"transactionSupportCounts": {
"claimPayment": {
"notSupported": {
"total": 29
},
"supported": {
"enrollmentNotRequired": 0,
"enrollmentRequired": 113,
"total": 113
}
},
"claimPaymentAdviceWithElectronicFundsTransfer": {
"notSupported": {
"total": 142
},
"supported": {
"enrollmentNotRequired": 0,
"enrollmentRequired": 0,
"total": 0
}
},
"claimStatus": {
"notSupported": {
"total": 55
},
"supported": {
"enrollmentNotRequired": 84,
"enrollmentRequired": 3,
"total": 87
}
},
"coordinationOfBenefits": {
"notSupported": {
"total": 114
},
"supported": {
"enrollmentNotRequired": 28,
"enrollmentRequired": 0,
"total": 28
}
},
"dentalClaimSubmission": {
"notSupported": {
"total": 95
},
"supported": {
"enrollmentNotRequired": 45,
"enrollmentRequired": 2,
"total": 47
}
},
"electronicFundsTransfer": {
"notSupported": {
"total": 29
},
"supported": {
"enrollmentNotRequired": 0,
"enrollmentRequired": 113,
"total": 113
}
},
"eligibilityCheck": {
"notSupported": {
"total": 33
},
"supported": {
"enrollmentNotRequired": 104,
"enrollmentRequired": 5,
"total": 109
}
},
"institutionalClaimSubmission": {
"notSupported": {
"total": 30
},
"supported": {
"enrollmentNotRequired": 102,
"enrollmentRequired": 10,
"total": 112
}
},
"professionalClaimSubmission": {
"notSupported": {
"total": 16
},
"supported": {
"enrollmentNotRequired": 117,
"enrollmentRequired": 9,
"total": 126
}
},
"unsolicitedClaimAttachment": {
"notSupported": {
"total": 109
},
"supported": {
"enrollmentNotRequired": 33,
"enrollmentRequired": 0,
"total": 33
}
}
}
}
}